Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class DataType.FieldID

    java.lang.Object
      com.sun.squawk.debugger.DataType
          com.sun.squawk.debugger.DataType.FieldID

Enclosing class:
  DataType

    public static final class DataType.FieldID

extends DataType

Represents JDWP identifiers for fields.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.debugger.DataType
`DataType.FieldID, DataType.FrameID, DataType.Location, DataType.MethodID, DataType.ObjectID, DataType.ReferenceTypeID, DataType.TaggedObjectID`

Field Summary
`DataType.ReferenceTypeID` | `definingClass` The class that defined this field.
`int` | `encoding` The field's encoded tag, offset, and static flag.
`static int` | `SIZE` The size (in bytes) of this identifier as sent over a JDWP connection.

Constructor Summary
`DataType.FieldID(int encoding, DataType.ReferenceTypeID definingClass)` Constructs a FieldID from reading over a JDWPConnection.
`DataType.FieldID(int tag, int offset, boolean isStatic, DataType.ReferenceTypeID definingClass)` Construct a field ID.

Method Summary
`boolean` | `equals(Object o)` Indicates whether some other object is "equal to" this one.
`int` | `getOffset()`
`byte` | `getTag()`
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `isStatic()`
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

  The size (in bytes) of this identifier as sent over a JDWP connection.

  See Also:
    Constant Field Values

### encoding

    public final int encoding

  The field's encoded tag, offset, and static flag.

### definingClass

    public final DataType.ReferenceTypeID definingClass

  The class that defined this field.

Constructor Detail

### DataType.FieldID

    public DataType.FieldID(int tag,
                            int offset,
                            boolean isStatic,
                            DataType.ReferenceTypeID definingClass)

  Construct a field ID.

  Parameters:
    `tag` - int
    `offset` - int
    `isStatic` - boolean
    `definingClass` - ReferenceTypeID

### DataType.FieldID

    public DataType.FieldID(int encoding,
                            DataType.ReferenceTypeID definingClass)

  Constructs a FieldID from reading over a JDWPConnection.

  Parameters:
    `encoding` - the encoded field value sent over the "wire".
    `definingClass` - ReferenceTypeID

Method Detail

### getTag

    public byte getTag()

  Returns:
    the basic type of the field (one of the `JDWP.Tag_...` constants)

### getOffset

    public int getOffset()

  Returns:
    the offset of the field

### isStatic

    public boolean isStatic()

  Returns:
    true if this denotes a static field, false if it denotes an instance field

### equals

    public boolean equals(Object o)

  Indicates whether some other object is "equal to" this one.

  The `equals` method implements an equivalence relation:

  - It is reflexive: for any reference value `x`, `x.equals(x)` should return `true`.
  - It is symmetric: for any reference values `x` and `y`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
  - It is transitive: for any reference values `x`, `y`, and `z`, if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.
  - It is consistent: for any reference values `x` and `y`, multiple invocations of `x.equals(y)` consistently return `true` or consistently return `false`, provided no information used in `equals` comparisons on the object is modified.
  - For any non-null reference value `x`, `x.equals(null)` should return `false`.

  The `equals` method for class `Object` implements the most discriminating possible equivalence relation on objects; that is, for any reference values `x` and `y`, this method returns `true` if and only if `x` and `y` refer to the same object (`x==y` has the value `true`).

  Specified by:
    `equals` in class `DataType`
  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Specified by:
    `hashCode` in class `DataType`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Specified by:
    `toString` in class `DataType`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"